mp3splt-gtk

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
splitpoints_window.c File Reference
`#include "splitpoints_window.h"`

Go to the source code of this file.

## Functions
void | add_row (gboolean checked, ui_state *ui)
void | add_splitpoint_from_player (GtkWidget *widget, ui_state *ui)
void | clear_current_description (ui_state *ui)
void | copy_filename_to_current_description (const gchar *fname, ui_state *ui)
void | create_detect_silence_and_add_splitpoints_window (GtkWidget *button, ui_state *ui)
GtkWidget * | create_splitpoints_frame (ui_state *ui)
void | create_trim_silence_window (GtkWidget *button, ui_state *ui)
gint | get_first_splitpoint_selected (gui_state *gui)
void | get_hundr_secs_mins_time (gint time_pos, gint *time_hundr, gint *time_secs, gint *time_mins)
gchar * | get_splitpoint_name (gint index, ui_state *ui)
gint | get_splitpoint_time (gint splitpoint_index, ui_state *ui)
void | put_splitpoints_and_tags_in_mp3splt_state (splt_state *state, ui_state *ui)
void | remove_all_rows (GtkWidget *widget, ui_state *ui)
void | remove_splitpoint (gint index, gint stop_preview, ui_state *ui)
void | select_splitpoint (gint index, gui_state *gui)
void | update_hundr_secs_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_minutes_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_seconds_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_splitpoint (gint index, Split_point new_point, ui_state *ui)
void | update_splitpoint_check (gint index, ui_state *ui)
void | update_splitpoint_from_time (gint index, gdouble time, ui_state *ui)

## Detailed Description

The splitpoints tab

this file is used for the Splitpoints tab (which in turn contains the splitpoints table)

Definition in file splitpoints_window.c.

## Function Documentation

void add_row | ( | gboolean | checked,
|  | ui_state * | ui
| ) |  |

adds a row to the table

Definition at line 930 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

void create_detect_silence_and_add_splitpoints_window | ( | GtkWidget * | button,
|  | ui_state * | ui
| ) |  |

event for clicking the 'detect silence and add splitpoints' button

Definition at line 1187 of file splitpoints_window.c.

GtkWidget* create_splitpoints_frame | ( | ui_state * | ui | ) |

creates the choose splitpoints frame

This frame contains the spinners, arrows, the tree, add, remove buttons

Definition at line 2108 of file splitpoints_window.c.

gint get_first_splitpoint_selected | ( | gui_state * | gui | ) |

Gets the number of the first splitpoint with selected "Keep" checkbox.

Definition at line 263 of file splitpoints_window.c.

Referenced by remove_splitpoint(), and update_splitpoint().

void get_hundr_secs_mins_time | ( | gint | time_pos,
|  | gint * | time_hundr,
|  | gint * | time_secs,
|  | gint * | time_mins
| ) |  |

returns secs, mins, hundr of secs from a time

not used for now

Definition at line 343 of file splitpoints_window.c.

Referenced by update_splitpoint_from_time().

gchar* get_splitpoint_name | ( | gint | index,
|  | ui_state * | ui
| ) |  |

returns the name of the splitpoint

result must be g_free'd after use

Definition at line 1496 of file splitpoints_window.c.

Referenced by check_update_down_progress_bar(), and update_splitpoint().

gint get_splitpoint_time | ( | gint | splitpoint_index,
|  | ui_state * | ui
| ) |  |

returns a splitpoint from the table

Definition at line 1527 of file splitpoints_window.c.

Referenced by player_quick_preview().

void put_splitpoints_and_tags_in_mp3splt_state | ( | splt_state * | state,
|  | ui_state * | ui
| ) |  |

puts the splitpoints into the state

Definition at line 2166 of file splitpoints_window.c.

void remove_all_rows | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

removes all rows from the table

Definition at line 1363 of file splitpoints_window.c.

References cancel_quick_preview_all(), check_update_down_progress_bar(), and remove_status_message().

Referenced by update_splitpoints_from_mp3splt_state().

void remove_splitpoint | ( | gint | index,
|  | gint | stop_preview,
|  | ui_state * | ui
| ) |  |

removes a splitpoint

Parameters

  index | Number of the split point
  stop_preview | means we stop preview if necessary

Definition at line 421 of file splitpoints_window.c.

References cancel_quick_preview_all(), check_update_down_progress_bar(), get_first_splitpoint_selected(), and remove_status_message().

Referenced by update_splitpoint().

void select_splitpoint | ( | gint | index,
|  | gui_state * | gui
| ) |  |

selects a splitpoint

Definition at line 354 of file splitpoints_window.c.

References remove_status_message().

void update_hundr_secs_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

updates the hundredth of seconds for the spinner

Definition at line 122 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

void update_minutes_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

updates the minutes from the spinner

Definition at line 108 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

void update_seconds_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

updates the seconds from the spinner

Definition at line 115 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

void update_splitpoint | ( | gint | index,
|  | Split_point | new_point,
|  | ui_state * | ui
| ) |  |

Set all values of a split point.

Parameters

  new_point | All values for this split point
  index | The number of this split point

Will display an error in the message bar if a splitpoint with a different index number with exactly the same time value exists and otherwise update the split point.

Definition at line 690 of file splitpoints_window.c.

References get_first_splitpoint_selected(), get_splitpoint_name(), put_status_message(), and remove_splitpoint().

Referenced by update_splitpoint_check(), and update_splitpoint_from_time().

void update_splitpoint_check | ( | gint | index,
|  | ui_state * | ui
| ) |  |

Toggles a splitpoint's "Keep" flag.

Parameters

  index | is the position in the GArray with splitpoints aka the split point's number

Definition at line 783 of file splitpoints_window.c.

References update_splitpoint().

void update_splitpoint_from_time | ( | gint | index,
|  | gdouble | time,
|  | ui_state * | ui
| ) |  |

Set a splitpoint's time value.

Parameters

  index | The split point's number
  time | the new time value

Definition at line 768 of file splitpoints_window.c.

References get_hundr_secs_mins_time(), and update_splitpoint().